<?php
//=================================================================
// KOOBI R7 - CMS - PORTALSOFTWARE(c) DREAM4(r) 
// HTTP://WWW.DREAM4.DE
//=================================================================
// ACHTUNG!
// DIESER PROGRAMMCODE IST URHERRECHTLICH GESCHUETZT
// DIE URHEBERRECHTE LIEGEN BEI DEN JEWEILIGEN AUTOREN.
// AENDERUNGEN IN DIESER DATEI ERFOLGEN AUF EIGENE GEFAHR!
// ES IST NICHT GESTATTET, DEN COPYRIGHTHINWEIS ZU AENDERN ODER ZU
// ENTFERNEN. NUR WENN SIE EINE COPYRIGHTHINWEIS-ENTFERNUNG BESTELLT
// HABEN, DUERFEN SIE DIESEN ENTFERNEN.
//================================================================
// BEI FRAGEN WENDEN SIE SICH BITTE AN: KONTAKT@DREAM4.DE
//=================================================================
function SpamCheck($field='')
{
	$entry = true;
	
	$row_s = $GLOBALS['db']->RowQuery("SELECT Spamwoerter FROM " . PREFIX . "_einstellungen");
	$row_s->Spamwoerter = str_replace(array("\r\n","\n"),",",$row_s->Spamwoerter);
	$spamwords_db = explode(",", $row_s->Spamwoerter);
	
	if(empty($field))
	{
		foreach ($_POST as $fieldname => $fieldvalue)
		{
			$fieldvalue = str_replace(" ", "", strtolower($fieldvalue));
			foreach ($spamwords_db as  $stopwords)
			{
				$stopwords = chop(strtolower($stopwords));
				$pattern = "/.*$stopwords.*/";
				
				if (@preg_match($pattern,$fieldvalue))$entry = false;
			}
		}
	} else {
		foreach ($spamwords_db as  $stopwords)
		{
			$field = str_replace(" ", "", strtolower($field));
			$stopwords = chop(strtolower($stopwords));
			$pattern = "/.*$stopwords.*/";
			if (@preg_match($pattern,$field)) $entry = false;
		}
	}
	
	if($entry == true) return true;
	return false;
}
?>